#%RAML 1.0 ResourceType
description: A entity resource
usage: Use this to describe a single updatable resource

put:
  description:
    Creates a new <<resourcePathName | !singularize>> or updates an existing one.
  displayName: Creates/Update <<resourcePathName | !singularize>>
  body:
    application/json:
 
  responses:
    200:
      body:
        application/json: 
         example: 
                {"message":"<<resourcePathName>> Created"}   
    404:
      body:
        application/json:
         example: 
                {"message":"<<resourcePathName>> Not Found"}             
    401:
      body:
        application/json:
          example: 
                {"message":"<<resourcePathName>> Unauthorized"}  
    500:
      body:
        application/json:
          example: 
                {"message":"<<resourcePathName>> Internal server error"}  
get:
  description: Retrieves details of <<resourcePathName>>
  displayName: Get details of all <<resourcePathName>> 
  responses: 
    404:
      body:
        application/json:
         example: 
                {"message":"<<resourcePathName>> Not Found"}             
    401:
      body:
        application/json:
          example: 
                {"message":"<<resourcePathName>> Unauthorized"}  
    500:
      body:
        application/json:
          example: 
                {"message":"<<resourcePathName>> Internal server error"}      

delete:
  description: Deletes details of <<resourcePathName>>
  displayName: Delete <<resourcePathName | !singularize>>
  responses: 
    200:
      body: 
        application/json:
          example: 
            {"message":"<<resourcePathName>> deleted"}
    404:
      body:
        application/json:
         example: 
                {"message":"<<resourcePathName>> Not Found"}             
    401:
      body:
        application/json:
          example: 
                {"message":"<<resourcePathName>> Unauthorized"}  
    500:
      body:
        application/json:
          example: 
                {"message":"<<resourcePathName>> Internal server error"}